com.tibco.datagrid

## Class DataGridException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.datagrid.DataGridException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DataGridAlreadyExistsException, DataGridClientShutdownException, DataGridEndOfBufferException, DataGridFormatUnavailableException, DataGridIllegalStateException, DataGridInMaintenanceException, DataGridInvalidConfigException, DataGridInvalidFormatException, DataGridInvalidResourceException, DataGridInvalidTypeException, DataGridInvalidValueException, DataGridLimitReachedException, DataGridNotFoundException, DataGridNotInitializedException, DataGridNotPermittedException, DataGridNotSupportedException, DataGridOutOfRangeException, DataGridRealmServerException, DataGridResourceUnavailableException, DataGridSQLBadBatchException, DataGridSQLCommandException, DataGridSQLDDLCommandException, DataGridSQLDMLCommandException, DataGridSQLInvalidValueException, DataGridSQLNotPermittedException, DataGridSQLNotSupportedException, DataGridSQLParserException, DataGridSQLQueryCommandException, DataGridSQLQueryException, DataGridSQLResourceUnavailableException, DataGridSQLStatementException, DataGridSQLSyntaxException, DataGridSQLSystemException, DataGridTimeoutException, DataGridVersionMismatchException

      public class DataGridException
      extends java.lang.Exception

  An error occurred in ActiveSpaces.

  This is the root class of all ActiveSpaces data grid exceptions.

  For details about the exception, see `java.lang.Throwable.getMessage`.

  Programmers can expect all ActiveSpaces methods to throw either `DataGridException`, or a more specific subclass.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGridException()`
    `DataGridException(java.lang.String message)`
    `DataGridException(java.lang.String message, java.lang.Throwable cause)`
    `DataGridException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` The error code is -1 unless the underlying library sets it.
    `void` | `setErrorCode(int code)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGridException

          public DataGridException()

    - #### DataGridException

          public DataGridException(java.lang.String message,
                                   java.lang.Throwable cause)

    - #### DataGridException

          public DataGridException(java.lang.String message)

    - #### DataGridException

          public DataGridException(java.lang.Throwable cause)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      The error code is -1 unless the underlying library sets it.
      Returns:
        integer value of the error code

    - #### setErrorCode

          public void setErrorCode(int code)